GNU bug report logs - #44606
Error with `guix-start-repl', No prompt found

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Michael Pagan <michael.pagan@HIDDEN>; merged with #44062; dated Fri, 13 Nov 2020 00:30:04 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 44606 <at> debbugs.gnu.org:


Received: (at 44606) by debbugs.gnu.org; 13 Nov 2020 04:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 23:46:35 2020
Received: from localhost ([127.0.0.1]:46339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdQyp-0005ad-Ff
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 23:46:35 -0500
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:53846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1kdQyo-0005ZF-5k
 for 44606 <at> debbugs.gnu.org; Thu, 12 Nov 2020 23:46:34 -0500
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1kdQym-0001At-I7; Fri, 13 Nov 2020 05:46:32 +0100
Received: from [192.168.1.3] (helo=micha)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>)
 id 1kdQym-0001J4-2U; Fri, 13 Nov 2020 05:46:32 +0100
From: Michael Rohleder <mike@HIDDEN>
To: Michael Pagan <michael.pagan@HIDDEN>
Subject: Re: bug#44606: Error with `guix-start-repl', No prompt found
References: <87r1oyqi11.wl-michael.pagan@HIDDEN>
Date: Fri, 13 Nov 2020 05:46:25 +0100
In-Reply-To: <87r1oyqi11.wl-michael.pagan@HIDDEN> (Michael Pagan's
 message of "Thu, 12 Nov 2020 18:20:26 -0500")
Message-ID: <87eekxsw2m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1605242794;89fdbc73;
X-HE-SMSGID: 1kdQym-0001At-I7
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44606
Cc: 44606 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Hello Michael,

Thank you for reporting!

I think, we already have #44062 for this, so I merged them.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAl+uD6ERHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyU9lAf+P7xGMfzgJ0Uj0NhZwviFUtEWfjG3vDkA
5xhweY7FHqUkbl7Epj1ppk/upxGgZb0I4gjlTZKUG9tZ3Xi+VV6rQIPlWRKVbimS
q76jhtPXY7cLeAwyHa7leLbLaIXllpby7+jMUbCoKTbCwsP6sEd9i6rcQCPn5+1C
RnPfx0neCKd3xhrXXdtdTSK6Did6E3lYQxSEQryK0F44Nau3NsdUMb//MldaEX7d
jDcbyYq/bIYA3wl9PA0CZE1WA71lKIpQpD+WrunCKd4plk4l8S6/atNBwOazDXwt
AbVRNeWizT1tP42/6VPaodDRJ9C/uGuBh8SJrCmL6TiJq7LEQHSPPA==
=lh2b
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44606; Package guix. Full text available.
Merged 44062 44606. Request was from Michael Rohleder <mike@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Nov 2020 00:30:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 19:30:02 2020
Received: from localhost ([127.0.0.1]:46115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdMyX-0004Zk-TS
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 19:30:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:34092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.pagan@HIDDEN>) id 1kdLu3-0002wu-E4
 for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 18:21:20 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54594)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael.pagan@HIDDEN>)
 id 1kdLu2-0004Ie-38
 for bug-guix@HIDDEN; Thu, 12 Nov 2020 18:21:18 -0500
Received: from mx2.mailbox.org ([80.241.60.215]:44289)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <michael.pagan@HIDDEN>)
 id 1kdLu0-0007HF-18
 for bug-guix@HIDDEN; Thu, 12 Nov 2020 18:21:17 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id 30E38A01ED
 for <bug-guix@HIDDEN>; Fri, 13 Nov 2020 00:21:12 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id QEiZ3zbKzoa5 for <bug-guix@HIDDEN>;
 Fri, 13 Nov 2020 00:21:09 +0100 (CET)
Date: Thu, 12 Nov 2020 18:20:26 -0500
Message-ID: <87r1oyqi11.wl-michael.pagan@HIDDEN>
From: Michael Pagan <michael.pagan@HIDDEN>
To: bug-guix@HIDDEN
Subject: Error with `guix-start-repl', No prompt found
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: multipart/signed;
 boundary="pgp-sign-Multipart_Thu_Nov_12_18:20:25_2020-1"; micalg=pgp-sha256;
 protocol="application/pgp-signature"
Content-Transfer-Encoding: 7bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.51 / 15.00 / 15.00
X-Rspamd-Queue-Id: A8966271
X-Rspamd-UID: c16762
Received-SPF: pass client-ip=80.241.60.215;
 envelope-from=michael.pagan@HIDDEN; helo=mx2.mailbox.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/12 18:21:13
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 12 Nov 2020 19:30:00 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--pgp-sign-Multipart_Thu_Nov_12_18:20:25_2020-1
Content-Type: text/plain; charset=US-ASCII

Guix works just fine; however, the `emacs-guix' interface does not
connect to the REPL (it creates one, but won't connect to it).

When I enter `M-x guix', the Magit-like interface appears.  Pressing the
`c' key should bring me straight into the REPL, but it doesn't.

The first time I execute the command, I receive this error:
Debugger entered--Lisp error: (error "No Geiser REPL for this buffer (try M-x run-geiser...")
  (signal error ("No Geiser REPL for this buffer (try M-x run-geiser..."))
  (error "No Geiser REPL for this buffer (try M-x run-geiser...")
  (geiser-repl--connection)
  (geiser-eval--send/wait ",use (geiser emacs)\n'done")
  (geiser-guile--startup nil)
  (apply geiser-guile--startup nil)
  (geiser-impl--call-method repl-startup guile nil)
  (geiser-repl--startup guile nil)
  (guix-start-repl #<buffer *Guix REPL*> nil)
  (guix-start-repl-maybe nil "Starting Guix REPL ..." nil)
  (guix-start-process-maybe)
  (guix-get-repl-buffer internal)
  (guix-eval-read "(help-string )")
  (guix-help-string nil)
  (guix-command-parse-arguments nil)
  (guix-command--all-arguments nil)
  (guix-command-all-arguments nil)
  (guix-command-generate-popup guix-command-popup nil)
  (guix-command nil)
  (funcall-interactively guix-command nil)
  (call-interactively guix-command)
  (magit-invoke-popup-action 99)
  (funcall-interactively magit-invoke-popup-action 99)
  (call-interactively magit-invoke-popup-action nil nil)
  (command-execute magit-invoke-popup-action)

The second time I execute the command, I receive this error:
Debugger entered--Lisp error: (error "No prompt found!")
  (signal error ("No prompt found!"))
  (error "%s" "No prompt found!")
  (geiser-repl--wait-for-prompt 10000)
  (geiser-repl--start-scheme guile nil "\\([^@()]+@([^)]*?)> \\|[^@()]+@([^)]*?) \\[[0-9]+\\]>...")
  (guix-start-repl #<buffer *Guix REPL*> nil)
  (guix-start-repl-maybe nil "Starting Guix REPL ..." nil)
  (guix-start-process-maybe)
  (guix-get-repl-buffer internal)
  (guix-eval-read "(help-string )")
  (guix-help-string nil)
  (guix-command-parse-arguments nil)
  (guix-command--all-arguments nil)
  (guix-command-all-arguments nil)
  (guix-command-generate-popup guix-command-popup nil)
  (guix-command nil)
  (funcall-interactively guix-command nil)
  (call-interactively guix-command)
  (magit-invoke-popup-action 99)
  (funcall-interactively magit-invoke-popup-action 99)
  (call-interactively magit-invoke-popup-action nil nil)
  (command-execute magit-invoke-popup-action)

I noticed that Guix recommended me to run `M-x run-geiser', so I did:
(run-geiser 'guile).  This created a REPL with a buffer name of
"* Guile REPL *", whilst Guix created one named "*Guix REPL*".

Essentially, it was as if Guix did not recognize the REPL that it
recommended to be used and hence created another REPL with a different
name. I tried evaluating (setq guix-repl-buffer-name "* Guile REPL *"),
so that Guix would not create a new REPL and try the existing one, but
this did not change anything.

Not sure what to do to fix this.  I've tried the interface before, when
GuixSD was at around version 0.8, and it worked like a charm.  Now, this
is my preferred operating system of choice and it would be nice to have
this interface working again.

Thanks in advance for your support!

Guix version: guix (GNU Guix) 5f799dd119f8b2396ed35add58affc301cf563db
Guile version: guile (GNU Guile) 2.2.6

Kind regards
--
Michael Pagan (pegzmasta) | Casual GNU Emacs user
GPG Key ID: A99A 235B 599C 0894 20AF  2937 D675 7575 27CD F56D

--pgp-sign-Multipart_Thu_Nov_12_18:20:25_2020-1
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit
Content-Description: OpenPGP Digital Signature

-----BEGIN PGP SIGNATURE-----

iQGzBAABCAAdFiEEqZojW1mcCJQgryk31nV1dSfN9W0FAl+twzoACgkQ1nV1dSfN
9W1CqAv7BQPbNnyX3/MLxgCNQerPF3vu5HXcPnWYh0wTJNvQXFe/R0nyVwygO54b
XC+6ONUMXUxkVLdzwJvigf8wZzSjRPtU4zjurQwG9CuIJjapNQ6uw6uFGlLgrzNe
pH5goNDw3cckpy08bp66quj1xXWqWCQYFz/NpCxw1F1jnA4r0UlfmoOhNPWRXJak
zB0teq8QG0bTH5asSQOHORKWU1BsKG+MK3C/RV9eObac44hKahe2S5EEyimY1OIH
67TfykjuFKnLF8Ud1uhnfH/IZQo4jcInMNK69MPgJM8rfdo5oDOsKZVlMsxGLJGL
Xz9iAXWiF+l1vgzBdqEvJPy7jYoBvrqw8r8IwJHPAvUje3j3ihOWzrKJm8bqy6+7
dWdsJDddbv8Ft6VZ4sLSLoRtqzE+qXq91gRJZoaN1ZoFwa9mnSQs19DlxSMHNbx3
o1uYucGWxJsqtMNp8ljaBjyyizVT3YgBQlqHbdQZhyn5Lg1AQqMKxJ4FFYjEC/sS
tYLf/w3T
=Kd9D
-----END PGP SIGNATURE-----

--pgp-sign-Multipart_Thu_Nov_12_18:20:25_2020-1--




Acknowledgement sent to Michael Pagan <michael.pagan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#44606; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Nov 2020 04:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.